Update webhook configuration

Updates an existing webhook configuration for the Tenant by its unique ID, modifying details such as the Target URL, subscribed events, or other settings.

PUT
/v2/manage/webhooks/{hookId}

Updates an existing webhook configuration for the Tenant by its unique ID, modifying details such as the Target URL, subscribed events, or other settings.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

hookId*string

Webhook ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/webhooks/1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef" \  -H "Content-Type: application/json" \  -d '{    "TargetUrl": "https://example.com/webhook",    "Name": "Test Webhook",    "SecretName": "xyz",    "Headers": {      "x-test-header": "qa"    },    "QueryParams": {      "apikey": "123456"    },    "Authentication": {      "AuthType": "Basic",      "BasicAuth": {        "Username": "admin",        "Password": "password123"      }    }  }'
{
  "Id": "wh_001",
  "TargetUrl": "https://example.com/webhook",
  "Event": "Login",
  "CreatedDate": "2025-04-08T12:00:00Z",
  "LastModifiedDate": "2025-04-08T12:30:00Z",
  "SecretName": "webhook-secret",
  "Name": "TestSecret",
  "IsIntegrationWebhook": true,
  "Headers": {
    "X-Custom-Header": "CustomValue",
    "Authorization": "Bearer abc123"
  },
  "QueryParams": {
    "token": "xyz987",
    "mode": "sync"
  },
  "Authentication": {
    "AuthType": "Basic",
    "BasicAuth": {
      "Username": "admin",
      "Password": "password123"
    },
    "BearerToken": {
      "Token": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
    }
  }
}

{
  "Message": "A parameter is not formatted correctly (Parameter name in Response)",
  "Description": "The webhook subscription id is not valid.",
  "ErrorCode": 7900
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "WebHook configuration not found",
  "Description": "WebHook configuration not found or the resource does not exist.",
  "ErrorCode": 7986
}

{
  "Message": "Webhook target URL is already subscribed",
  "Description": "The provided Webhook target URL is already subscribed, please enter a unique web URL.",
  "ErrorCode": 7989
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}